using Agile.Config.Client;
using AspectCore.Extensions.DependencyInjection;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Hosting;

namespace XYY.Api.Finance
{
    public class Program
    {
        public static void Main(string[] args)
        {
            CreateHostBuilder(args).Build().Run();
        }

        public static IHostBuilder CreateHostBuilder(string[] args) =>
            Host.CreateDefaultBuilder(args)            
                .ConfigureAppConfiguration((context, config) =>
                {
                    //使用AddAgileConfig配置一个新的IConfigurationSource
                    config.AddAgileConfig(); 
                })
                .ConfigureWebHostDefaults(webBuilder =>
                {
                    webBuilder.UseStartup<Startup>();
                }).UseServiceProviderFactory(x => new DynamicProxyServiceProviderFactory());
    }
}
